{ "code": 0, "data": { "id": "dset-cm5axptyyxxx298", "name": "sales_indicators_2024", "description": "A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more", "summary": "This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.", "exploration_questions": [ "How does the booking price trend over time based on the BookingTimestamp?", "How does the average booking price change with respect to the TravelDate?", "Are there any significant outliers in the booking prices, and what might be causing them?", "How does the average price vary between one-way and round-trip bookings?" ], "keywords": [ "Travel Bookings", "Booking Trends", "Travel Agencies" ] }}
Example request:
curl --request GET \ --url https://ai.data.cloud/api/v2/team/datasets/{id}/overview?user_id=tmm-dafasdfasdfasdf \ --header 'x-pd-api-key: <api-key>'
{ "code": 0, "data": { "id": "dset-cm5axptyyxxx298", "name": "sales_indicators_2024", "description": "A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more", "summary": "This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.", "exploration_questions": [ "How does the booking price trend over time based on the BookingTimestamp?", "How does the average booking price change with respect to the TravelDate?", "Are there any significant outliers in the booking prices, and what might be causing them?", "How does the average price vary between one-way and round-trip bookings?" ], "keywords": [ "Travel Bookings", "Booking Trends", "Travel Agencies" ] }}
The trace ID you set in your system to trace this request. It can be up to 128 characters in length. If the request fails, you can provide it to the Powerdrill team to help with troubleshooting.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Powerdrill","colors":{"primary":"#803FE2","light":"#9E6CE8","dark":"#803FE2"},"logo":{"light":"https://mintcdn.com/powerdrill-55/G5-71rSRmaWb4Deb/logo/light_old.svg?fit=max\u0026auto=format\u0026n=G5-71rSRmaWb4Deb\u0026q=85\u0026s=dc2f74f20167a362fea696e338f33414","dark":"https://mintcdn.com/powerdrill-55/G5-71rSRmaWb4Deb/logo/dark_old.svg?fit=max\u0026auto=format\u0026n=G5-71rSRmaWb4Deb\u0026q=85\u0026s=695f412bda840aa700144b31bb1ec4bb"},"favicon":"https://mintcdn.com/powerdrill-55/bBGveC8zr4vD5DAR/favicon.png?fit=max\u0026auto=format\u0026n=bBGveC8zr4vD5DAR\u0026q=85\u0026s=6f84811bf7e1eefae3b7cca21207dc09","background":{"image":"https://mintlify.s3.us-west-1.amazonaws.com/powerdrill-55/background.png"},"navbar":{"links":[{"href":"https://github.com/powerdrillai","label":"GitHub"}],"primary":{"type":"button","label":"Get Started","href":"https://powerdrill.ai"}},"footer":{"socials":{"github":"https://github.com/powerdrillai","youtube":"https://www.youtube.com/@powerdrill_ai","twitter":"https://twitter.com/powerdrillai","discord":"https://discord.gg/ZsyyD5ysRC","linkedin":"https://www.linkedin.com/company/powerdrill"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"powerdrill-55","hasAudioNarration":false,"actualSubdomain":"powerdrill-55","customDomains":["docs.powerdrill.ai"],"gitSource":{"type":"github","owner":"powerdrillai","repo":"powerdrill_docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae91925695ee6f94e417312:success","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"API Reference","count":54},{"language":"default","tag":"Open API V2","count":28},{"language":"default","tag":"Open API V1 (Deprecated)","count":26},{"language":"default","tag":"Documentation","count":14},{"language":"default","tag":"Data sources","count":12},{"language":"default","tag":"Datasets","count":12},{"language":"default","tag":"Sessions","count":12},{"language":"default","tag":"Enterprise","count":11},{"language":"default","tag":"Features","count":9},{"language":"default","tag":"Overview","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v2/get-dataset-overview","slug":"/api-reference/v2/get-dataset-overview","pageMetadata":{"openapi":"get /v2/team/datasets/{id}/overview","description":"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.","mode":"wide","title":"Get dataset overview","href":"/api-reference/v2/get-dataset-overview"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Example request:`})}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl --request GET \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --url https://ai.data.cloud/api/v2/team/datasets/{id}/overview?user_id=tmm-dafasdfasdfasdf \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` --header 'x-pd-api-key: \u003capi-key>'`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`9`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`9`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`url `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://ai.data.cloud/api/v2/team/datasets/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{id}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`/overview?user_id=tmm-dafasdfasdfasdf\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"x-pd-api-key\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003capi-key>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.request(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"GET\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, url, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers)`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.text)`})]}),`\n`]})})})]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Example response:`})}),`\n`,_jsx(CodeBlock,{filename:`200`,numberOfLines:`20`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`20`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"dset-cm5axptyyxxx298\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sales_indicators_2024\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"summary\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"exploration_questions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"How does the booking price trend over time based on the BookingTimestamp?\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"How does the average booking price change with respect to the TravelDate?\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Are there any significant outliers in the booking prices, and what might be causing them?\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"How does the average price vary between one-way and round-trip bookings?\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"keywords\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Travel Bookings\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Booking Trends\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Travel Agencies\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /v2/team/datasets/{id}/overview","description":"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.","mode":"wide","title":"Get dataset overview","href":"/api-reference/v2/get-dataset-overview"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get dataset overview","deprecated":false,"description":"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.","tags":["Dataset"],"parameters":["e0de74ab-126a-46e3-b860-44ea633fc1b2","ba8d77ac-99ac-42ae-a1d3-38ba6fd1beae","7c4a6f3d-b6f4-4809-9eed-e73d464cd2da"],"responses":{"200":"c431807e-e198-4360-aeed-b4c3630d8f9a"},"security":["0641df9d-e10f-4d3d-89db-afc5b8ca231f"],"method":"get","type":"path","servers":["81ddd8d1-e0c9-427d-9d45-c7531fb084ca"],"path":"/v2/team/datasets/{id}/overview","baseUrlOptions":["https://ai.data.cloud/api"],"title":"Get dataset overview","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"e0de74ab-126a-46e3-b860-44ea633fc1b2":{"name":"id","in":"path","description":"The ID of the dataset for which you want to view details.\n\nTo check the datasets you have access to, call [GET /v2/team/datasets](/api-reference/v2/list-datasets).","required":true,"schema":{"type":"string","isRequired":true,"description":"The ID of the dataset for which you want to view details.\n\nTo check the datasets you have access to, call [GET /v2/team/datasets](/api-reference/v2/list-datasets).","uniqueKey":"","typeLabel":"string"}},"ba8d77ac-99ac-42ae-a1d3-38ba6fd1beae":{"name":"user_id","in":"query","description":"Your user ID, which uniquely identifies you within your team. To obtain your ID:\n\n- If you're the team admin, refer to [Check user information](/enterprise/users#check-user-information).\n- If you're a system or virtual user, ask your team admin to check your user ID by referring to [Check user information](/enterprise/users#check-user-information).","required":true,"schema":{"type":"string","isRequired":true,"description":"Your user ID, which uniquely identifies you within your team. To obtain your ID:\n\n- If you're the team admin, refer to [Check user information](/enterprise/users#check-user-information).\n- If you're a system or virtual user, ask your team admin to check your user ID by referring to [Check user information](/enterprise/users#check-user-information).","uniqueKey":"","typeLabel":"string"}},"7c4a6f3d-b6f4-4809-9eed-e73d464cd2da":{"name":"x-pd-external-trace-id","in":"header","description":"The trace ID you set in your system to trace this request. It can be up to 128 characters in length. If the request fails, you can provide it to the Powerdrill team to help with troubleshooting.","required":false,"example":"","schema":{"type":"string","isRequired":false,"description":"The trace ID you set in your system to trace this request. It can be up to 128 characters in length. If the request fails, you can provide it to the Powerdrill team to help with troubleshooting.","uniqueKey":"","typeLabel":"string"}}},"responses":{"c431807e-e198-4360-aeed-b4c3630d8f9a":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"Status code. **0** indicates that the operation is successful. Otherwise, the operation fails. For error troubleshooting, refer to [Error Codes](/api-reference/error-codes).","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"data":{"type":"object","properties":{"id":{"type":"string","description":"The dataset ID, which uniquely identifies the dataset.","isRequired":true,"uniqueKey":"data.id","typeLabel":"string"},"name":{"type":"string","description":"The dataset name.","isRequired":true,"uniqueKey":"data.name","typeLabel":"string"},"description":{"type":"string","description":"The dataset description.","isRequired":true,"uniqueKey":"data.description","typeLabel":"string"},"summary":{"type":"string","description":"Summary about data sources in the dataset.","isRequired":true,"uniqueKey":"data.summary","typeLabel":"string"},"exploration_questions":{"type":"array","items":{"type":"string","uniqueKey":"data.exploration_questions.items.[INDEX]","typeLabel":"string"},"description":"Questions pre-generated by Powerdrill for you to explore the dataset.\n\nYou can call this endpoint again to fetch new questions if the current ones don't match your interest or if your dataset's data sources change.","isRequired":true,"uniqueKey":"data.exploration_questions","typeLabel":"string[]"},"keywords":{"type":"string","description":"Keywords that help you better understand the dataset's content.","isRequired":true,"uniqueKey":"data.keywords","typeLabel":"string"}},"required":["summary","exploration_questions","keywords","id","name","description"],"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data","code"],"uniqueKey":"","typeLabel":"object"},"example":{"code":0,"data":{"id":"dset-cm5axptyyxxx298","name":"sales_indicators_2024","description":"A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more","summary":"This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.","exploration_questions":["How does the booking price trend over time based on the BookingTimestamp?","How does the average booking price change with respect to the TravelDate?","Are there any significant outliers in the booking prices, and what might be causing them?","How does the average price vary between one-way and round-trip bookings?"],"keywords":["Travel Bookings","Booking Trends","Travel Agencies"]}},"examples":{"Example":{"title":"Example","value":{"code":0,"data":{"id":"dset-cm5axptyyxxx298","name":"sales_indicators_2024","description":"A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more","summary":"This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.","exploration_questions":["How does the booking price trend over time based on the BookingTimestamp?","How does the average booking price change with respect to the TravelDate?","Are there any significant outliers in the booking prices, and what might be causing them?","How does the average price vary between one-way and round-trip bookings?"],"keywords":["Travel Bookings","Booking Trends","Travel Agencies"]}}}},"exampleType":"examples"}},"headers":{},"exampleType":"examples"}},"security":{"0641df9d-e10f-4d3d-89db-afc5b8ca231f":{"apikey-header-x-pd-api-key":{"type":"apiKey","in":"header","name":"x-pd-api-key","scopes":[]}}},"servers":{"81ddd8d1-e0c9-427d-9d45-c7531fb084ca":{"url":"https://ai.data.cloud/api","description":"体验环境"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-pd-api-key","scopes":[]},"schema":{"title":"x-pd-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apikey-header-x-pd-api-key","name":"x-pd-api-key"}],"title":"apikey-header-x-pd-api-key"}]},"originalFileLocation":"v2-openapi.json"},"subdomain":"powerdrill-55","siteName":"Powerdrill","title":"Get dataset overview - Powerdrill","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-06T22:54:07.805Z","originalFileLocation":"api-reference/v2/get-dataset-overview.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Powerdrill\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get dataset overview - Powerdrill\">\u003cmeta data-mint-head property=\"og:description\" content=\"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Powerdrill\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://powerdrill-55.mintlify.site/_mintlify/api/og/v2?division=Datasets\u0026amp;title=Get+dataset+overview\u0026amp;description=Obtains+the+basic+information+about+the+dataset%2C+including+the+keywords%2C+description%2C+and+pre-generated+questions.\u0026amp;theme=e8e6e34990b40471e3216367\u0026amp;signature=665c930059caf7e13a370c3028440984d067d3a45622fc527a78c889a7d9aa8c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get dataset overview - Powerdrill\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://powerdrill-55.mintlify.site/_mintlify/api/og/v2?division=Datasets\u0026amp;title=Get+dataset+overview\u0026amp;description=Obtains+the+basic+information+about+the+dataset%2C+including+the+keywords%2C+description%2C+and+pre-generated+questions.\u0026amp;theme=e8e6e34990b40471e3216367\u0026amp;signature=665c930059caf7e13a370c3028440984d067d3a45622fc527a78c889a7d9aa8c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Powerdrill\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#803FE2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v2/get-dataset-overview.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.powerdrill.ai/#organization\",\"name\":\"Powerdrill\",\"url\":\"https://docs.powerdrill.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/powerdrill-55/G5-71rSRmaWb4Deb/logo/light_old.svg?fit=max\u0026auto=format\u0026n=G5-71rSRmaWb4Deb\u0026q=85\u0026s=dc2f74f20167a362fea696e338f33414\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.powerdrill.ai#website\",\"name\":\"Powerdrill\",\"url\":\"https://docs.powerdrill.ai\",\"publisher\":{\"@id\":\"https://docs.powerdrill.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview#webpage\",\"url\":\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview\",\"name\":\"Get dataset overview\",\"description\":\"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.\",\"dateModified\":\"2026-01-06T22:54:07.805Z\",\"isPartOf\":{\"@id\":\"https://docs.powerdrill.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Datasets\",\"item\":\"https://docs.powerdrill.ai/api-reference/v2/create-dataset\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get dataset overview\",\"item\":\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview#apireference\",\"headline\":\"Get dataset overview\",\"name\":\"Get dataset overview\",\"description\":\"Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.\",\"url\":\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview\",\"mainEntityOfPage\":{\"@id\":\"https://docs.powerdrill.ai/api-reference/v2/get-dataset-overview#webpage\"},\"dateModified\":\"2026-01-06T22:54:07.805Z\",\"publisher\":{\"@id\":\"https://docs.powerdrill.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.powerdrill.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Powerdrill\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Powerdrill\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/v2/get-dataset-overview.md","siteName":"Powerdrill","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/get-started/introduction"}]},{"tab":"Enterprise","pages":[{"title":"Enterprise","href":"/enterprise/introduction"}]},{"tab":"API Reference","anchors":[{"anchor":"Open API V2","icon":"dice-two","groups":[{"group":"Overview","pages":[{"title":"Overview","icon":"book","href":"/api-reference/v2/overview"},{"title":"Authentication","icon":"key","href":"/api-reference/v2/authentication"},{"title":"Streaming","icon":"grip-lines","href":"/api-reference/v2/streaming"},{"title":"Error Codes","icon":"screwdriver-wrench","href":"/api-reference/error-codes"},{"title":"Create subscriptions","icon":"cart-shopping","href":"/api-reference/v2/create-subscription"}]},{"group":"Developer Guides","pages":[{"title":"Quick Start","icon":"rocket","href":"/developer-guides/quick-start-v2"},{"title":"Check Status of Data Sources","icon":"check","href":"/api-reference/v2/how-to-check-data-sources"}]},{"group":"Datasets","pages":[{"openapi":"post /v2/team/datasets","title":"Create dataset","href":"/api-reference/v2/create-dataset"},{"openapi":"get /v2/team/datasets/{id}/status","description":"Counts the data sources for each status in a dataset.","mode":"wide","title":"Get status summary of data sources in dataset","href":"/api-reference/v2/get-dataset-status"},{"openapi":"get /v2/team/datasets/{id}/overview","mode":"wide","title":"Get dataset overview","href":"/api-reference/v2/get-dataset-overview"},{"openapi":"get /v2/team/datasets","description":"Lists datasets.\nOnly datasets created within the same project as your API key will be listed. You can specify a search keyword to filter datasets by name and description.","mode":"wide","title":"List datasets","href":"/api-reference/v2/list-datasets"},{"openapi":"post /v2/team/datasets/{id}","title":"Modify dataset","href":"/api-reference/v2/modify-dataset"},{"openapi":"delete /v2/team/datasets/{id}","title":"Delete dataset","href":"/api-reference/v2/delete-dataset"}]},{"group":"Data sources","pages":[{"openapi":"POST /v2/team/datasets/{id}/datasources","title":"Create data source","href":"/api-reference/v2/create-data-source"},{"openapi":"POST /v2/team/datasources","title":"Create data source without specifying a dataset","href":"/api-reference/v2/create-data-source-without-dataset"},{"openapi":"get /v2/team/datasets/{dataset_id}/datasources/{datasource_id}","mode":"wide","title":"Get data source","href":"/api-reference/v2/get-data-source"},{"openapi":"get /v2/team/datasets/{id}/datasources","mode":"wide","title":"List data sources","href":"/api-reference/v2/list-data-sources"},{"openapi":"delete /v2/team/datasets/{dataset_id}/datasources/{datasource_id}","title":"Delete data source","href":"/api-reference/v2/delete-data-source"},{"openapi":"post /v2/team/datasets/{dataset_id}/datasources/{datasource_id}/presign","title":"Presign data source ","href":"/api-reference/v2/presign-data-source"}]},{"group":"Files","pages":[{"openapi":"post /v2/team/file/upload-datasource","mode":"wide","title":"Upload local file","href":"/api-reference/v2/upload-file"},{"openapi":"post /v2/team/file/init-multipart-upload","title":"Initiate multipart upload","href":"/api-reference/v2/initiate-multipart-upload"},{"openapi":"post /v2/team/file/complete-multipart-upload","title":"Complete multipart upload","href":"/api-reference/v2/complete-multipart-upload"}]},{"group":"Sessions","pages":[{"openapi":"post /v2/team/sessions","title":"Create session","href":"/api-reference/v2/create-session"},{"openapi":"get /v2/team/sessions/{id}","mode":"wide","title":"Get session","href":"/api-reference/v2/get-session"},{"openapi":"get /v2/team/sessions/{id}/history","mode":"wide","title":"Get job history in session","href":"/api-reference/v2/get-job-history"},{"openapi":"get /v2/team/sessions","mode":"wide","title":"List sessions","href":"/api-reference/v2/list-sessions"},{"openapi":"post /v2/team/sessions/{id}","title":"Modify session","href":"/api-reference/v2/modify-session"},{"openapi":"delete /v2/team/sessions/{id}","title":"Delete session","href":"/api-reference/v2/delete-session"}]},{"group":"Jobs","pages":[{"openapi":"post /v2/team/jobs","title":"Create job","href":"/api-reference/v2/create-job"}]}]},{"anchor":"Open API V1 (Deprecated)","icon":"dice-one","pages":[{"title":"Open API V1 (Deprecated)","href":"/api-reference/overview"}]}]}]},"basePath":"","title":"Get dataset overview - Powerdrill","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-C4GwDT3_.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}